unit demBackp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  adbackp,
  adFillob, { This is required for styles, like fosPicture }
  AdGradie, { This is required for Gradient Styles         }
  AdPictur, { This is required for Picture Styles          }
  AdTextur, { This is required for Texture Styles          }
  shellAPI, 
  StdCtrls, ExtCtrls, AdBev, AdColLab, ColorGrd, Spin, ExtDlgs;

type
  TForm1 = class(TForm)
    AdrockBackgroundPainter1: TAdrockBackgroundPainter;
    AdrockBackgroundPainterSettings1: TAdrockBackgroundPainterSettings;
    Test: TImage;
    AdrockBevel1: TAdrockBevel;
    AdrockBevel2: TAdrockBevel;
    AdrockBevel3: TAdrockBevel;
    AdrockBevel4: TAdrockBevel;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    AdrockBevel5: TAdrockBevel;
    Label3: TAdrockColorLabel;
    Label4: TLabel;
    Label5: TAdrockColorLabel;
    Label6: TAdrockColorLabel;
    Label7: TLabel;
    Label9: TLabel;
    Label8: TAdrockColorLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    AdrockBevel6: TAdrockBevel;
    AdrockBevel7: TAdrockBevel;
    Label15: TAdrockColorLabel;
    AdrockColorLabel1: TLabel;
    Label16: TAdrockColorLabel;
    AdrockColorLabel2: TAdrockColorLabel;
    AdrockColorLabel3: TAdrockColorLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    Notebook1: TNotebook;
    Image1: TImage;
    Panel4: TPanel;
    ColorGrid1: TColorGrid;
    ColorGrid2: TColorGrid;
    Label17: TLabel;
    Label18: TLabel;
    GradientColors: TSpinEdit;
    Label19: TLabel;
    ColorGrid3: TColorGrid;
    Label20: TLabel;
    ListBox1: TListBox;
    Label21: TLabel;
    Label22: TLabel;
    GradientDirectionCombo: TComboBox;
    Label23: TLabel;
    ImageList1: TImageList;
    Label24: TLabel;
    PictureDrawStyleCombo: TComboBox;
    GroupBox1: TGroupBox;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    Label25: TLabel;
    textureComboBox: TComboBox;
    GroupBox2: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    GradientPattern: TComboBox;
    Label26: TLabel;
    Button1: TButton;
    OpenPictureDialog1: TOpenPictureDialog;
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure ColorGrid1Change(Sender: TObject);
    procedure ColorGrid2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure GradientColorsChange(Sender: TObject);
    procedure ColorGrid3Change(Sender: TObject);
    procedure ListBox1DrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure ListBox1Click(Sender: TObject);
    procedure GradientDirectionComboChange(Sender: TObject);
    procedure RadioButton5Click(Sender: TObject);
    procedure RadioButton6Click(Sender: TObject);
    procedure RadioButton7Click(Sender: TObject);
    procedure PictureDrawStyleComboChange(Sender: TObject);
    procedure textureComboBoxChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure AdrockColorLabel3Click(Sender: TObject);
    procedure AdrockColorLabel2Click(Sender: TObject);
    procedure GradientPatternClick(Sender: TObject);
    procedure GradientPatternDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses DemBack0;

{$R *.DFM}

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Style := fosTexture;
   Notebook1.PageIndex := 0;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Style := fosPicture;
   Notebook1.PageIndex := 1;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Style := fosGradient;
   Notebook1.PageIndex := 2;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton4Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Style := fosBrush;
   Notebook1.PageIndex := 3;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.ColorGrid1Change(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Gradient.ColorStart := ColorGrid1.ForegroundColor;
   AdrockBackgroundPainter1.RefreshAllForms;
   GradientPattern.Refresh;
end;

procedure TForm1.ColorGrid2Change(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Gradient.ColorEnd := ColorGrid2.ForegroundColor;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NoteBook1.PageIndex := 0;
  ListBox1.ItemIndex := 0;
  PictureDrawStyleCombo.ItemIndex := 5;
  RadioButton5.Checked := TRUE;
  GradientDirectionCombo.ItemIndex := 0;
  textureComboBox.ItemIndex := 0;
  GradientPattern.ItemIndex := 0;
  AdrockBackgroundPainterSettings1.FillObject.Picture.ImageControl := Image1;
  AdrockBackgroundPainterSettings1.FillObject.Picture.ImageList := Imagelist1;
  ColorGrid1.ForegroundIndex := ColorGrid1.ColorToIndex(AdrockBackgroundPainterSettings1.FillObject.Gradient.ColorStart);
  ColorGrid2.ForegroundIndex := ColorGrid2.ColorToIndex(AdrockBackgroundPainterSettings1.FillObject.Gradient.ColorEnd)-1;
  colorgrid3.ForegroundIndex := ColorGrid3.ColorToIndex(AdrockBackgroundPainterSettings1.FillObject.Brush.Color)-1;
  RadioButton1.checked := TRUE;
end;

procedure TForm1.GradientColorsChange(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Gradient.Colors := GradientColors.Value;
   AdrockBackgroundPainter1.RefreshAllForms;
end;


procedure TForm1.ColorGrid3Change(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Brush.Color := ColorGrid3.ForegroundColor;
   AdrockBackgroundPainter1.RefreshAllForms;
   ListBox1.Refresh;
end;

procedure TForm1.ListBox1DrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
Var
 fRect : TRect;
begin
  with (Control as TListbox).Canvas do
   begin
     Brush.Style := bsSolid;
     FillRect(Rect);
     fRect := Rect;
     fRect.Right := fRect.Left+70;
     TextRect(Rect, Rect.Left+1, Rect.Top+((Rect.Bottom-Rect.Top) div 2)-(Textheight('A') div 2), (Control as TListbox).Items.Strings[Index]);

     Rect.Left   := fRect.Right;
     InflateRect(Rect, -2,-2);
     Frame3d(ListBox1.Canvas, Rect, clBtnhighlight, clBtnShadow, 1);
     Brush.Color := colorgrid3.ForegroundColor;
     if (Index = 0) then
       Brush.Style := TbrushStyle(Index)
     else
       Brush.Style := TbrushStyle(Index+1);
     FillRect(Rect);
   end;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
   if ((Sender as TListbox).ItemIndex = 0) then
     AdrockBackgroundPainterSettings1.FillObject.Brush.Style := TbrushStyle(0)
   else
     AdrockBackgroundPainterSettings1.FillObject.Brush.Style := TbrushStyle((Sender as TListbox).ItemIndex+1);
   AdrockBackgroundPainter1.RefreshAllForms;

end;

procedure TForm1.GradientDirectionComboChange(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Gradient.Style := TAdrockGradientStyle(GradientDirectionCombo.ItemIndex);
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton5Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Picture.getPictureFrom := fromPicture;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton6Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Picture.getPictureFrom := fromImageControl;
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.RadioButton7Click(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Picture.getPictureFrom := fromImageList;
   AdrockBackgroundPainter1.RefreshAllForms;

end;

procedure TForm1.PictureDrawStyleComboChange(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Picture.Style := TAdrockPictureDrawStyles(PictureDrawStyleCombo.ItemIndex);
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.textureComboBoxChange(Sender: TObject);
begin
   AdrockBackgroundPainterSettings1.FillObject.Texture.Style := TAdrockTextureStyles(textureComboBox.ItemIndex);
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
 Form2.Show;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if (OpenPictureDialog1.Execute = TRUE) then
   Begin
    AdrockBackgroundPainterSettings1.FillObject.Picture.Picture.LoadFromFile(OpenPictureDialog1.FileName);
    AdrockBackgroundPainter1.RefreshAllForms;
    RadioButton5.Checked := TRUE;
   end;

end;

procedure TForm1.AdrockColorLabel3Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'MailTo:Sales@Adrock.COM', '', '', SW_SHOWNA);
  AdrockColorLabel3.Caption := '[clBlue]Sales[clBlack]@[clDefault]Adrock.COM';
end;

procedure TForm1.AdrockColorLabel2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'http://www.adrock.com', '', '', SW_SHOWNA);
 (Sender as TLabel).Font.Color := clPurple;
  AdrockColorLabel2.Caption := '[clPurple]http://[clNavy]www.[clBlue]Adrock.COM';
end;

procedure TForm1.GradientPatternClick(Sender: TObject);
begin
   if (GradientPattern.ItemIndex = 0) then
     AdrockBackgroundPainterSettings1.FillObject.Brush.Style := TbrushStyle(0)
   else
     AdrockBackgroundPainterSettings1.FillObject.Brush.Style := TbrushStyle(GradientPattern.ItemIndex+1);
   AdrockBackgroundPainter1.RefreshAllForms;
end;

procedure TForm1.GradientPatternDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
Var
 fRect : TRect;
begin
  with (GradientPattern.Canvas) do
   begin
     Brush.Style := bsSolid;
     FillRect(Rect);
     fRect := Rect;
     fRect.Right := fRect.Left+70;
     TextRect(Rect, Rect.Left+1, Rect.Top+((Rect.Bottom-Rect.Top) div 2)-(Textheight('A') div 2), GradientPattern.Items.Strings[Index]);

     Rect.Left   := fRect.Right;
     InflateRect(Rect, -2,-2);
     Frame3d(ListBox1.Canvas, Rect, clBtnhighlight, clBtnShadow, 1);
     Brush.Color := ColorGrid1.ForegroundColor;
     if (Index = 0) then
       Brush.Style := TbrushStyle(Index)
     else
       Brush.Style := TbrushStyle(Index+1);
     FillRect(Rect);
   end;
end;

end.
